<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('import_module_title') ?></li>
    <?php if ($this->type != 'reference'): ?>
        <li class="active"><?= ucfirst($this->translate($this->entityName . '_entity')) ?></li>
    <?php endif; ?>
    <?php if ($this->type == 'reference'): ?>
        <li class="active"><?= ucfirst($this->translate('reference_entity')) ?></li>
    <?php endif; ?>
</ul>

<h1 class="page-title">
    <?php if ($this->type != 'reference'): ?>
        <?= $this->icon('import') ?> <?= $this->translate('import_module_title') . ' ' . ucfirst($this->translate($this->entityName . '_entity')) ?>
    <?php endif; ?>
    <?php if ($this->type == 'reference'): ?>
        <?= $this->icon('import') ?> <?= $this->translate('import_module_title') . ' ' . ucfirst($this->translate('reference_entity')) ?>
    <?php endif; ?>
</h1>

<div class="row row-padding" ng-controller="importController as self" ng-init="self.init('<?php echo addslashes($this->entityName) ?>')">
    <div class="col-xs-12">
        <div class="panel">
            <div class="panel-heading">
                <?= $this->translate('import_form_title') ?>
                <?php if (!$this->isKeyword): ?>
                <div class="panel-heading-right">
                    <div class="panel-heading-actions" tooltip="<?= $this->translate('import_process_tooltips') ?>">
                        <i class="fa fa-info-circle" ng-click="self.openModal()"></i>
                    </div>
                </div>
                <?php endif; ?>
            </div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-xs-12">
                        <form action="" method="post" enctype="multipart/form-data">
                            <div class="row">
                                <div class="form-group col-xs-12">
                                    <label><?= $this->translate('import_file') ?> <?= $this->icon('loading', '', ['ng-show' => 'self.loading.upload || self.loading.parse']) ?></label>
                                    <input type="file" nv-file-select uploader="self.uploader" />
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-xs-2">
                                    <label><?= $this->translate('import_delimiter') ?></label>
                                    <input type="text" class="form-control" ng-model="self.options.delimiter" />
                                </div>
                                <?php if (!$this->isKeyword): ?>
                                    <div class="form-group col-xs-3">
                                        <?= $this->translate('import_first_line_contains_header') ?>
                                        <br />
                                        <input type="checkbox" ng-model="self.options.firstLine" />
                                    </div>
                                <?php endif; ?>

                            </div>
                            <div class="row">
                                <div class="form-group col-xs-6">
                                    <?php if ($this->isKeyword): ?>
                                        <button type="button" class="btn btn-success btn-xs" ng-click="self.parseKeyword()" ng-disabled="!self.options.file">
                                            <?php echo ucfirst($this->translate('send')) ?>
                                        </button>
                                    <?php endif; ?>
                                    <?php if (!$this->isKeyword): ?>
                                        <button type="button" class="btn btn-success btn-xs" ng-click="self.parse()" ng-disabled="!self.options.file">
                                            <?php echo ucfirst($this->translate('send')) ?>
                                        </button>
                                        <button type="button" class="btn btn-success btn-xs" ng-click="self.validate()" ng-disabled="!self.options.isParsed">
                                            <?= $this->icon('loading', '', ['ng-show' => 'self.loading.validate']) ?>
                                            <?php echo ucfirst($this->translate('validate')) ?>
                                        </button>
                                        <button type="button" class="btn btn-primary btn-xs" ng-click="self.save()" ng-disabled="!self.options.isValidated">
                                            <?= $this->icon('loading', '', ['ng-show' => 'self.loading.save']) ?>
                                            <?php echo $this->translate('Import') ?>
                                        </button>
                                        <i class="fa fa-info-circle" tooltip="<?= $this->translate('import_message_info')?>" data-html="true"  hide-if-empty></i>

                                    <?php endif; ?>
                                    <?php if ($this->isKeyword): ?>
                                        <button type="button" class="btn btn-primary btn-xs" ng-click="self.saveKeyword('<?php echo $this->type ?>')" ng-disabled="!self.options.isParsed">
                                            <?= $this->icon('loading', '', ['ng-show' => 'self.loading.save']) ?>
                                            <?php echo $this->translate('Import') ?>
                                        </button>

                                    <?php endif; ?>

                                </div>
                        </form>
                    </div>
                </div>
                <div ng-show="self.options.isParsed">
                    <?php
                    if ($this->isKeyword)
                        echo $this->partial('import/partial/keyword-display');
                    else
                        echo $this->partial('import/partial/table-display');
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if (!$this->isKeyword): ?>
<div id="infoTooltipModal" class="modal fade" ng-controller="importController as self">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <?= $this->translate('import_process_modal') ?>
            </div>
            <div class="modal-footer">
                <button class="btn btn-submit" ng-click="self.closeModal()">
                    <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                    <?= $this->translate('close') ?>
                </button>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>

<?php

$this->angular('js/src/import/controller/import/index.js');
